function experiment2
%This function carries out experiment (2) in the paper.


%Read in the tree
traitfile = 'EFNdata/EFN_all_trait.txt'; %"all" trait case.
treefile = 'EFNdata/EFNtree.tre'; 
[T,C] = readEFNdata(traitfile,treefile);

%Find a maximum likelihood estimate of mu_r.
theta.sigma2 = 1.0;
theta.sigma2_r = 0; %root variance set to 0 so that the mean liability
                    %at the root is the only parameter inferred from the
                    %data.

theta.mu_r = fminsearch(@(mu_r) -runLikelihood(mu_r,theta,T,C,200),-5.4);

N = 700;

L = thresholdGauss(T,C,theta,N);

%back-up
save ExperimentOutput/EFN_ALLmean.mat N L theta

%%%%%%%%%%%%%%%%%%%%%%
traitfile = 'EFNdata/EFN_leaf_trait.txt'; %"leaf" trait case.
[T,C] = readEFNdata(traitfile,treefile);


%Find a maximum likelihood estimate of mu_r.
theta.sigma2 = 1.0;
theta.sigma2_r = 0;
theta.mu_r = fminsearch(@(mu_r) - runLikelihood(mu_r,theta,T,C,200),-5);


N = 700;

L = thresholdGauss(T,C,theta,N);

%back-up
save ExperimentOutput/EFN_LEAFmean.mat N L theta

%%%%%%%%%%%%%%%%%%%%%%
traitfile = 'EFNdata/EFN_inflor_trait.txt'; %"inflorescence" trait case.
[T,C] = readEFNdata(traitfile,treefile);


%Find a maximum likelihood estimate of mu_r.
theta.sigma2 = 1.0;
theta.sigma2_r = 0;
theta.mu_r = fminsearch(@(mu_r) - runLikelihood(mu_r,theta,T,C,200),-11);


N = 700;

L = thresholdGauss(T,C,theta,N);

%back-up
save ExperimentOutput/EFN_INFLORmean.mat N L theta

%%%%%%%%%%%%%%%%%%%%%%
traitfile = 'EFNdata/EFN_trich_trait.txt'; %"trichomes" trait case.
[T,C] = readEFNdata(traitfile,treefile);


%Find a maximum likelihood estimate of mu_r.
theta.sigma2 = 1.0;
theta.sigma2_r = 0;
theta.mu_r = fminsearch(@(mu_r) - runLikelihood(mu_r,theta,T,C,200),-15);


N = 700;

L = thresholdGauss(T,C,theta,N);

%back-up
save ExperimentOutput/EFN_TRICHmean.mat N L theta

%%%%%%%%%%%%%%%%%%%%%%
traitfile = 'EFNdata/EFN_subst_trait.txt'; %"substitutive" trait case.
[T,C] = readEFNdata(traitfile,treefile);


%Find a maximum likelihood estimate of mu_r.
theta.sigma2 = 1.0;
theta.sigma2_r = 0;
theta.mu_r = fminsearch(@(mu_r) - runLikelihood(mu_r,theta,T,C,200),-8);


N = 700;

L = thresholdGauss(T,C,theta,N);

%BACKUP Ls here.
save ExperimentOutput/EFN_SUBSTmean.mat N L theta

%%%%%%%%%%%%%%%%%%%%%%
traitfile = 'EFNdata/EFN_true_trait.txt'; %"true" trait case.
[T,C] = readEFNdata(traitfile,treefile);


%Find a maximum likelihood estimate of mu_r.
theta.sigma2 = 1.0;
theta.sigma2_r = 0;
theta.mu_r = fminsearch(@(mu_r) - runLikelihood(mu_r,theta,T,C,200),-11);


N = 700;

L = thresholdGauss(T,C,theta,N);

%back-up
save ExperimentOutput/EFN_TRUEmean.mat N L theta
end

function logL = runLikelihood(mu_r,theta,T,C,N)
theta.mu_r = mu_r;
logL = thresholdGauss(T,C,theta,N);
end