function plotFigures(Ns,L,L2,L_Simulated,L_CoinFlip,doGraph1,doGraph2)

%Graph 1

%doGraph1 = true;
if doGraph1
    fig = figure();
    subplot(1,2,1);
    hold on
    OK = L2(1,:)>-Inf & L2(1,:)<0;
    plot(log10(Ns(OK)),log10(abs(exp(L2(1,OK))-exp(L2(1,end)))),'b*');
    plot(log10(Ns(OK)),log10(abs(exp(L2(1,OK))-exp(L2(1,end)))),'-','Color',[0.8,0.8,0.8]);
    OK = L2(2,:)>-Inf& L2(2,:)<0;
    plot(log10(Ns(OK)),log10(abs(exp(L2(2,OK))-exp(L2(2,end)))),'bo');
    plot(log10(Ns(OK)),log10(abs(exp(L2(2,OK))-exp(L2(3,end)))),'-','Color',[0.8,0.8,0.8]);
    
    OK = L2(3,:)>-Inf& L2(3,:)<0;
    plot(log10(Ns(OK)),log10(abs(exp(L2(3,OK))-exp(L2(3,end)))),'b^');
    plot(log10(Ns(OK)),log10(abs(exp(L2(3,OK))-exp(L2(3,end)))),'-','Color',[0.8,0.8,0.8]);
    
    x1 = 2.2; y1 = -90; x2 = 2.9; y2 = y1 - 4*(x2-x1);
    plot([x1,x2],[y1,y2],'--');
    xlabel('log(N)');ylabel('log(error)');title('Convergence: Simpson''s method');
    
    subplot(1,2,2);
    hold on
    OK = L(1,:)>-Inf;
    plot(log10(Ns(OK)),log10(abs(exp(L(1,OK))-exp(L(1,end)))),'b*');
    plot(log10(Ns(OK)),log10(abs(exp(L(1,OK))-exp(L(1,end)))),'-','Color',[0.8,0.8,0.8]);
    
    OK = L(2,:)>-Inf;
    plot(log10(Ns(OK)),log10(abs(exp(L(2,OK))-exp(L(2,end)))),'bo');
    plot(log10(Ns(OK)),log10(abs(exp(L(2,OK))-exp(L(2,end)))),'-','Color',[0.8,0.8,0.8]);
    
    OK = L(3,:)>-Inf;
    plot(log10(Ns(OK)),log10(abs(exp(L(3,OK))-exp(L(3,end)))),'b^');
    plot(log10(Ns(OK)),log10(abs(exp(L(3,OK))-exp(L(3,end)))),'-','Color',[0.8,0.8,0.8]);
    
    
    x1 = 2.2; y1 = -105; x2 = 2.9; y2 = y1 - 4*(x2-x1);
    plot([x1,x2],[y1,y2],'--');
    
    hold off
    xlabel('log(N)');ylabel('log(error)');title('Convergence: Gaussian kernel method');
    
end


%Second figure: simulated characters.

%doGraph2 = false;

if doGraph2
    fig = figure();
    subplot(1,2,1);
    hold on;
    for i = 1:size(L_Simulated,1)
        OK =  L_Simulated(i,:)>-Inf & L_Simulated(i,:)<=0;
        plot(log10(Ns(OK)),L_Simulated(i,OK),'bx')
        plot(log10(Ns(OK)),L_Simulated(i,OK),'-','Color',[0.8,0.8,0.8]);
        
    end
    hold off
    xlabel('log(N)');ylabel('logL');title('Simulated trait convergence');
    
    subplot(1,2,2);
    hold on;
    for i = 1:size(L_CoinFlip,1)
        OK =  L_CoinFlip(i,:)>-Inf & L_CoinFlip(i,:)<=0;
        plot(log10(Ns(OK)),L_CoinFlip(i,OK),'bx')
        plot(log10(Ns(OK)),L_CoinFlip(i,OK),'-','Color',[0.8,0.8,0.8]);
        
    end
    hold off
    xlabel('log(N)');ylabel('logL');title('Coin flip trait convergence');
    
end

end







